#include<bits/stdc++.h>
using namespace std;
int niz[10000000];
int main()
{
    int n,k,a;
    cin>>n>>k;
    for(int i=0;i<n;i++)
    {
        cin>>a;
        niz[n+a]++;
    }
    for(int i=0;i<=2*n;i++)
    {
        if(niz[i]>=k)
        {
            cout<<i-n<<" ";
        }
    }
}